//
//  SineMod.cpp
//  audio
//
//  Created by cmtuser on 09/03/15.
//
//

#include "SineMod.h"

SineMod::SineMod(double baseFrequency, double amplitude) {
    phase = 0;
    baseFreq = baseFrequency;
    amp = amplitude;
}

float SineMod::Process(float freq) {
    float out = sinf(phase);
    phase = phase + 2 * M_PI * (baseFreq + freq) / PlayerSampleRate;
    return out * amp;
}

void SineMod::SetFrequency(float bf) {
    baseFreq = bf;
}