#pragma once

class Complex {
public:
    // tyypin jäsenmuuttujia. Jokainen Complex-tyyppinen muuttuja sisältää nämä.
    float real;
    float imaginary;
    
    // tyypin rakentaja. Funktio, jolla ei ole palautusarvoa, ja jonka nimi on sama kuin luokan nimi.
    // voidaan käyttää Complex-muuttujien luomiseen
    Complex(float r, float i);
    // implisiittinen rakentaja; mahdollistaa float-tyyppisen muuttujan muuttamisen Complex-tyyppiseksi
    // automaattisesti. Implisiittiset rakentajat ovat yksiparametrisia.
    Complex(float r);
    // oletusrakentaja; lukua ei alusteta.
    Complex( );
    
    // jäsenfunktio. Lasketaan jonkin tietyn Complex-tyyppisen muuttujan itseisarvo.
    float Absolute( );
    Complex Conjugate( );
    // staattinen funktio. Luokan jäsenfunktio, joka ei liity mihinkään tiettyyn Complex-tyyppiseen muuttujaan.
    static Complex Polar(float angle, float radius);
};

// matemaattiset operaattorit Complex-tyypille
Complex operator+(Complex a, Complex b);
Complex operator-(Complex a, Complex b);
Complex operator*(Complex a, Complex b);
Complex operator/(Complex a, Complex b);
Complex exp(Complex z);