#pragma once

#include <AudioToolbox/AudioToolbox.h>
#include <CoreFoundation/CoreFoundation.h>
#include "processor.h"
#include <vector>

class SoundfilePlayer : public Processor{
    std::vector<float> sound;
    uint32_t counter;
public:
    SoundfilePlayer(const char *pathToFile);
    float Process(float input);
};

class SoundfileRecorder : public Processor {
    ExtAudioFileRef audioFile;
    std::vector<float> buffer;
    int counter;
public:
    SoundfileRecorder(const char *pathToFile);
    ~SoundfileRecorder();
    float Process(float input);
};


